Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.personalization.resources
Class InitException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.websphere.personalization.resources.ResourceException
                  com.ibm.websphere.personalization.resources.InitException

All Implemented Interfaces:
  java.io.Serializable

    public class InitException

extends ResourceException

Thrown if there is a problem performing initialization of a resource collection.

See Also:
  `ResourceManager3.init(RequestContext)`, Serialized Form

Constructor Summary
`InitException()` Creates a new InitException with an empty cause and message.
`InitException(java.lang.Exception cause)` Creates a new InitException and inits the cause.
`InitException(java.lang.String message)` Creates a new InitException with the supplied message.

Method Summary
`java.lang.Exception` | `getNestedException()` Deprecated. Use getCause instead.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InitException

    public InitException()

  Creates a new InitException with an empty cause and message.

### InitException

    public InitException(java.lang.String message)

  Creates a new InitException with the supplied message.

### InitException

    public InitException(java.lang.Exception cause)

  Creates a new InitException and inits the cause.

  Parameters:
    `cause` - The cause of this InitException

Method Detail

### getNestedException

    public java.lang.Exception getNestedException()

  Deprecated. Use getCause instead.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD